.product-machine-specs{
    display:flex;
    gap:16px;
    flex-wrap:wrap;
    overflow:visible;
    position:relative;
    z-index:10;
}
.machine-specs-front{

    gap:20px;
    margin:25px 15px;
	z-index:1;
	display: grid;
    grid-template-columns: repeat(2, 1fr);
}

.machine-spec-item{
    display:flex;
    align-items:flex-start;
    gap:14px;
    border:1px solid #d40d1c;
    padding:5px;
}

.machine-spec-icon{
    width:48px;
    flex-shrink:0;
}

.machine-spec-icon img{
    width:48px;
    height:48px;
    object-fit:contain;
}

.machine-spec-content{
    min-width:100%;
    position:relative;
    overflow:visible;
}

.machine-spec-title{
    font-size:15px;
    color:#666;
    margin-bottom:4px;
}

.machine-spec-value{
    font-size:18px;
    font-weight:700;
    color:#222;
}

.machine-spec-dropdown{
    position:relative;
}

.machine-spec-current{
    font-size:18px;
    font-weight:700;
    cursor:pointer;
    display:flex;
    align-items:center;
    gap:10px;
}

.machine-spec-dropdown ul{
    display:none;
    position:absolute;
    top:100%;
    left:0;
    background:#fff;
    border:1px solid #ddd;
    min-width:220px;
    z-index:99;
}

.machine-spec-dropdown.open ul{
    display:block;
}

.machine-spec-dropdown li{
    padding:10px 15px;
    border-bottom:1px solid #eee;
}

.machine-spec-dropdown li:last-child{
    border-bottom:none;
}

.spec-arrow{
    font-size:12px;
}
.machine-spec-select.open{
    position:relative;
    width:100%;
    overflow:visible;
    z-index:100;
}

.machine-spec-current{
    display:flex;
    justify-content:space-between;
    align-items:center;
    padding:0 0px;
    border:0px solid #2ea3f2;
    background:#fff;
    font-size:18px;
    font-weight:700;
    cursor:pointer;
}

.machine-spec-options{
    display:none;
    position:absolute;
    left:-6px;
    right:-6px;
    top:calc(100% + 1px);

    background:#fff;

    border:1px solid #bc201c;
    border-top:none;

    z-index:99999;

    box-shadow:0 10px 25px rgba(0,0,0,.12);

    padding:8px 6px;
}

.machine-spec-select.open .machine-spec-options{
    display:block;
}

.machine-spec-option{
    padding:2px 0px;
    cursor:pointer;
    transition:.2s;
}

.machine-spec-option:hover{
    background:#f5f8ff;
}

.spec-arrow{
    transition:.3s;
    font-size:12px;
}

.machine-spec-select.open .spec-arrow{
    transform:rotate(180deg);
}